%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% RESULTS :
% PURPOSE :
%
%
% AUTHOR  : Valentin FREY
% CONTACT : frey@lal.in2p3.fr
% VERSION : 1.0
% DATE    : 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% USERs PARAMETERS
PIPELINES = {'Zebragard','Lonetrack','cWB','X'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
dic = classes.waveforms.dictionary;

%% === ZEBRAGARD === %%
% BKG : https://ldas-jobs.ligo.caltech.edu/~valentin.frey/o2-allsky/Start-1164067217_Stop-1187733618_ID-10/background_estimation/
% ZL : https://ldas-jobs.ligo.caltech.edu/~valentin.frey/o2-allsky/Start-1164067217_Stop-1187733618_ID-100/background_estimation/
% INJ : https://www.atlas.aei.uni-hannover.de/~valentin.frey/LSC/o2-allsky/Start-1164067217_Stop-1187733618_ID-1/efficiency_estimation/
% INJ (msmagnetar_lower_letter) : https://www.atlas.aei.uni-hannover.de/~valentin.frey/LSC/o2-allsky/Start-1164067217_Stop-1187733618_ID-4/efficiency_estimation/
%% LIVETIME
T.Zebragard.T_OBS_ZL = 10022500;
T.Zebragard.T_OBS_BKG = 2043381500;

%% --- physical
% GRB plateau
T.Zebragard.GRBplateauA = 9.94316e-22;
T.Zebragard.GRBplateauB = 9.08349e-22;
T.Zebragard.GRBplateauC = 8.23987e-22;
T.Zebragard.GRBplateauD = 9.94316e-22;
T.Zebragard.GRBplateauE = 7.24694e-22;
T.Zebragard.GRBplateauF = 7.18835e-22;
T.Zebragard.GRBplateauLong = 6.59619e-19;
T.Zebragard.GRBplateauShort = 8.49054e-22;
%ISCO chirp
T.Zebragard.ISCOchirpA = 6.19541e-21;
T.Zebragard.ISCOchirpB = 1.44013e-21;
T.Zebragard.ISCOchirpC = 1.01134e-21;
% NCSA-CAM
T.Zebragard.NCSACAM_A = 1.5518e-21;
T.Zebragard.NCSACAM_B = 1.34147e-21;
T.Zebragard.NCSACAM_C = 1.34864e-21;
T.Zebragard.NCSACAM_D = 1.47691e-21;
T.Zebragard.NCSACAM_E = 1.89039e-21;
T.Zebragard.NCSACAM_F = 9.637e-22;
% ADI
T.Zebragard.adiA = 5.8315e-22;
T.Zebragard.adiB = 4.81364e-22;
T.Zebragard.adiC = 9.13589e-22;
T.Zebragard.adiD = 1.23054e-21;
T.Zebragard.adiE = 6.42018e-22;
T.Zebragard.adiF = NaN;
% BAR MODES
T.Zebragard.barmodesA = 8.62669e-22;
T.Zebragard.barmodesB = 8.24395e-22;
T.Zebragard.barmodesC = 7.89988e-22;
T.Zebragard.barmodesD = 9.84916e-22;
T.Zebragard.barmodesE = 9.39649e-22;
T.Zebragard.barmodesF = 7.44659e-22;
% INSPIRAL
T.Zebragard.inspiralA = 7.07502e-22;
T.Zebragard.inspiralB = 7.02155e-22;
T.Zebragard.inspiralC = 7.36609e-22;
T.Zebragard.inspiralD = 7.31668e-22;
T.Zebragard.inspiralE = 6.42356e-22;
T.Zebragard.inspiralF = 9.38657e-22;
T.Zebragard.inspiralG = 1.16136e-21;
T.Zebragard.inspiralH = 1.04496e-21;
% MAGNETAR
T.Zebragard.maXgnetarD = 6.92917e-21;
T.Zebragard.maXgnetarE = 3.4445e-21;
T.Zebragard.maXgnetarF = 2.17827e-21;
T.Zebragard.maXgnetarG = 2.7326e-21;
% MS MAGNETAR
T.Zebragard.msmagnetarA = 1.12901e-21;
T.Zebragard.msmagnetarB = 1.14038e-21;
T.Zebragard.msmagnetarC = 2.13173e-21;
T.Zebragard.msmagnetarD = 2.2245e-21;
%T.Zebragard.msmagnetarE = 8.4479e-18
%T.Zebragard.msmagnetarF = 8.4479e-18
%T.Zebragard.msmagnetarG = 5.48535e-20
%T.Zebragard.msmagnetarH = 5.48535e-20
T.Zebragard.msmagnetarI = 2.48611e-21;
T.Zebragard.msmagnetarJ = 2.7114e-21;
T.Zebragard.msmagnetarK = 2.80119e-21;
T.Zebragard.msmagnetarL = 3.2056e-21;
%T.Zebragard.msmagnetarM = 5.63194e-18
%T.Zebragard.msmagnetarN = 5.63194e-18
%T.Zebragard.msmagnetarO = 5.48536e-20
%T.Zebragard.msmagnetarP = 5.48536e-20
% PT
T.Zebragard.ptA = 1.97314e-21;
T.Zebragard.ptB = 1.96646e-21;
% MS MAGNETAR
T.Zebragard.msmagnetar_a = 1.278e-21;
T.Zebragard.msmagnetar_b = 1.5252e-21;
T.Zebragard.msmagnetar_c = 6.3426e-21;
T.Zebragard.msmagnetar_d = 1e-19;
T.Zebragard.msmagnetar_e = 2.1367e-21;
T.Zebragard.msmagnetar_f = 2.441e-21;
T.Zebragard.msmagnetar_g = 1.3411e-20;
T.Zebragard.msmagnetar_h = 1.5575e-20;

%% --- adhoc
% MONO
T.Zebragard.monoA = 3.11119e-21;
T.Zebragard.monoC = 2.78799e-21;
% LINE;
T.Zebragard.lineA = 1.29509e-21;
T.Zebragard.lineB = 1.29889e-21;
% QUAD
T.Zebragard.quadA = 7.66046e-22;
T.Zebragard.quadB = 1.01616e-21;
% SG
T.Zebragard.sgA = 4.42056e-21;
T.Zebragard.sgC = 4.34757e-21;
% WNB 
T.Zebragard.wnbA = 2.05876e-21;
T.Zebragard.wnbB = 2.65832e-21;
T.Zebragard.wnbC = 3.52272e-21;


%% === LONETRACK === %%
% BKG : https://ldas-jobs.ligo.caltech.edu/~mcoughlin/o2-allsky/C02/Start-1164067217_Stop-1187733618_ID-1/background_estimation/
% ZL :
% https://ldas-jobs.ligo.caltech.edu/~mcoughlin/o2-allsky/C02/Start-1164067217_Stop-1187733618_ID-2/background_estimation/
% INJ : https://ldas-jobs.ligo.caltech.edu/~mcoughlin/o2-allsky/C02/Start-1164067217_Stop-1187733618_ID-1/efficiency_estimation/
% INJ (msmagnetar_lower_letter) : https://ldas-jobs.ligo.caltech.edu/~mcoughlin/o2-allsky/C02/Start-1164067217_Stop-1187733618_ID-2/efficiency_estimation/

%% LIVETIME
T.Lonetrack.T_OBS_ZL = 19634000;
T.Lonetrack.T_OBS_BKG = 384722968088000;

%% --- physical
% GRB pleteau
T.Lonetrack.GRBplateauA = 7.11499e-22;
T.Lonetrack.GRBplateauB = 6.70845e-22;
T.Lonetrack.GRBplateauC = 8.27041e-22;
T.Lonetrack.GRBplateauD = 8.67187e-22;
T.Lonetrack.GRBplateauE = 7.1869e-22;
T.Lonetrack.GRBplateauF = 7.0408e-22;
T.Lonetrack.GRBplateauLong = 5.53485e-20;
T.Lonetrack.GRBplateauShort = 9.04843e-22;
% ISCO CHIRP
T.Lonetrack.ISCOchirpA = 5.30899e-21;
T.Lonetrack.ISCOchirpB = 2.53134e-21;
T.Lonetrack.ISCOchirpC = 1.23763e-21;
% NCSA-CAM
T.Lonetrack.NCSACAM_A = 2.4137e-21;
T.Lonetrack.NCSACAM_B = 2.42305e-21;
T.Lonetrack.NCSACAM_C = 2.63626e-21;
T.Lonetrack.NCSACAM_D = 2.65333e-21;
T.Lonetrack.NCSACAM_E = 3.46864e-21;
T.Lonetrack.NCSACAM_F = 4.68144e-21;
% ADI
T.Lonetrack.adiA = 4.80481e-22;
T.Lonetrack.adiB = 8.04395e-22;
T.Lonetrack.adiC = 8.98633e-22;
T.Lonetrack.adiD = 1.13696e-21;
T.Lonetrack.adiE = 7.32147e-22;
T.Lonetrack.adiF = NaN;
% BAR MODES
T.Lonetrack.barmodesA = 8.18001e-22;
T.Lonetrack.barmodesB = 7.06954e-22;
T.Lonetrack.barmodesC = 8.08157e-22;
T.Lonetrack.barmodesD = 8.93362e-22;
T.Lonetrack.barmodesE = 8.07376e-22;
T.Lonetrack.barmodesF = 6.91616e-22;
% INSPIRAL
T.Lonetrack.inspiralA = 1.21317e-21;
T.Lonetrack.inspiralB = 1.01256e-21;
T.Lonetrack.inspiralC = 1.33545e-21;
T.Lonetrack.inspiralD = 1.14448e-21;
T.Lonetrack.inspiralE = 1.20959e-21;
T.Lonetrack.inspiralF = 9.69789e-22;
T.Lonetrack.inspiralG = 4.80538e-22;
T.Lonetrack.inspiralH = 8.34404e-22;
% MAGNETAR
T.Lonetrack.maXgnetarD = 3.19153e-21;
T.Lonetrack.maXgnetarE = 2.07466e-21;
T.Lonetrack.maXgnetarF = 1.72351e-21;
T.Lonetrack.maXgnetarG = 1.60784e-21;
% MS MAGNETAR
T.Lonetrack.msmagnetarA = 2.82377e-22;
T.Lonetrack.msmagnetarB = 3.33931e-22;
T.Lonetrack.msmagnetarC = 3.7407e-22;
T.Lonetrack.msmagnetarD = 2.66966e-22;
%T.Lonetrack.msmagnetarE = 3.39732e-19;
%T.Lonetrack.msmagnetarF = 3.30645e-19;
%T.Lonetrack.msmagnetarG = 2.45241e-19;
%T.Lonetrack.msmagnetarH = 3.68093e-19;
T.Lonetrack.msmagnetarI = 3.50914e-22;
T.Lonetrack.msmagnetarJ = 3.77559e-22;
T.Lonetrack.msmagnetarK = 1.33818e-21;
T.Lonetrack.msmagnetarL = 4.18184e-22;
%T.Lonetrack.msmagnetarM = 5.30846e-19;
%T.Lonetrack.msmagnetarN = 4.72679e-19;
%T.Lonetrack.msmagnetarO = 3.08225e-19;
%T.Lonetrack.msmagnetarP = 2.9192e-19;
% PT
T.Lonetrack.ptA = 1.91184e-21;
T.Lonetrack.ptB = 1.27244e-21;
% MS MAGNETAR
T.Lonetrack.msmagnetar_a = NaN;
T.Lonetrack.msmagnetar_b = NaN;
T.Lonetrack.msmagnetar_c = NaN;
T.Lonetrack.msmagnetar_d = NaN;
T.Lonetrack.msmagnetar_e = NaN;
T.Lonetrack.msmagnetar_f = NaN;
T.Lonetrack.msmagnetar_g = NaN;
T.Lonetrack.msmagnetar_h = NaN;

%% --- adhoc
% MONO
T.Lonetrack.monoA = NaN;
T.Lonetrack.monoC = NaN;
% LINE
T.Lonetrack.lineA = 7.01177e-22;
T.Lonetrack.lineB = 8.10485e-22;
% QUAD
T.Lonetrack.quadA = 7.49253e-22;
T.Lonetrack.quadB = 1.01585e-21;
% SG 
T.Lonetrack.sgA = NaN;
T.Lonetrack.sgC = NaN;
% WNB 
T.Lonetrack.wnbA = NaN;
T.Lonetrack.wnbB = NaN;
T.Lonetrack.wnbC = NaN;


%% === C WB === %%
% INJ : https://ldas-jobs.ligo.caltech.edu/~claudia.lazzaro/reports/list_waveO2c_2bin_100yiFAR_ef50.txt

%% --- LIVETIME
T.cWB.T_OBS_ZL = 114.7*24*3600;
T.cWB.T_OBS_BKG = NaN;

%% --- physical
% GRB pleteau
T.cWB.GRBplateauA = 9.49e-22;
T.cWB.GRBplateauB = 9.87e-22;
T.cWB.GRBplateauC = 9.20e-22;
T.cWB.GRBplateauD = 9.11e-22;
T.cWB.GRBplateauE = 7.99e-22;
T.cWB.GRBplateauF = 7.37e-22;
T.cWB.GRBplateauLong = 8.54e-22;
T.cWB.GRBplateauShort = 1.33e-21;
% ISCO CHIRP
T.cWB.ISCOchirpA = 2.69e-21;
T.cWB.ISCOchirpB = 1.89e-21;
T.cWB.ISCOchirpC = 1.20e-21;
% NCSA-CAM
T.cWB.NCSACAM_A = 1.36e-21;
T.cWB.NCSACAM_B = 1.24e-21;
T.cWB.NCSACAM_C = 1.36e-21;
T.cWB.NCSACAM_D = 1.59e-21;
T.cWB.NCSACAM_E = 1.98e-21;
T.cWB.NCSACAM_F = 1.92e-21;
% ADI
T.cWB.adiA = 3.90e-22;
T.cWB.adiB = 3.77e-22;
T.cWB.adiC = 8.34e-22;
T.cWB.adiD = 6.16e-22;
T.cWB.adiE = 6.01e-22;
T.cWB.adiF = 9.87e-22;
% BAR MODES
T.cWB.barmodesA = 9.37e-22;
T.cWB.barmodesB = 1.21e-21;
T.cWB.barmodesC = 9.76e-22;
T.cWB.barmodesD = 1.29e-21;
T.cWB.barmodesE = 1.24e-21;
T.cWB.barmodesF = 9.54e-22;
% INSPIRAL
T.cWB.inspiralA = 1.24e-21;
T.cWB.inspiralB = 1.59e-21;
T.cWB.inspiralC = 1.59e-21;
T.cWB.inspiralD = 1.61e-21;
T.cWB.inspiralE = 1.61e-21;
T.cWB.inspiralF = NaN;
T.cWB.inspiralG = NaN;
T.cWB.inspiralH = NaN;
% MAGNETAR
T.cWB.maXgnetarD = 5.12e-21;
T.cWB.maXgnetarE = 3.36e-21;
T.cWB.maXgnetarF = 2.12e-21;
T.cWB.maXgnetarG = 1.15e-21;
% MS MAGNETAR
T.cWB.msmagnetarA = NaN;
T.cWB.msmagnetarB = NaN;
T.cWB.msmagnetarC = NaN;
T.cWB.msmagnetarD = NaN;
%T.cWB.msmagnetarE = NaN;
%T.cWB.msmagnetarF = NaN;
%T.cWB.msmagnetarG = NaN;
%T.cWB.msmagnetarH = NaN;
T.cWB.msmagnetarI = NaN;
T.cWB.msmagnetarJ = NaN;
T.cWB.msmagnetarK = NaN;
T.cWB.msmagnetarL = NaN;
%T.cWB.msmagnetarM = NaN;
%T.cWB.msmagnetarN = NaN;
%T.cWB.msmagnetarO = NaN;
%T.cWB.msmagnetarP = NaN;
% PT
T.cWB.ptA = 1.64e-21;
T.cWB.ptB = 1.82e-21;
%
T.cWB.msmagnetar_a = 1.2363e-23;
T.cWB.msmagnetar_b = 1.0039e-23 ;
T.cWB.msmagnetar_c = 3.9095e-24;
T.cWB.msmagnetar_d = 2.0015e-24 ;
T.cWB.msmagnetar_e = 1.2363e-23;
T.cWB.msmagnetar_f = 1.0039e-23;
T.cWB.msmagnetar_g = 3.9095e-24;
T.cWB.msmagnetar_h = 2.0015e-24;


%% --- adhoc
% MONO
T.cWB.monoA = NaN;
T.cWB.monoC = NaN;
% LINE
T.cWB.lineA = NaN;
T.cWB.lineB = NaN;
% QUAD
T.cWB.quadA = 5.88e-22;
T.cWB.quadB = 7.91e-22;
% SG 
T.cWB.sgA = NaN;
T.cWB.sgC = NaN;
% WNB 
T.cWB.wnbA = NaN;
T.cWB.wnbB = NaN;
T.cWB.wnbC = NaN;

%% ===  === %%
% INJ https://ldas-jobs.ligo.caltech.edu/~maxime.fays/O2/O2_full_clustering_hrss_ncsacam/O2_full_clustering_hrss_ncsacam_openbox.shtml
%% --- physical
% GRB pleteau
T.X.GRBplateauA = NaN;
T.X.GRBplateauB = NaN;
T.X.GRBplateauC = NaN;
T.X.GRBplateauD = NaN;
T.X.GRBplateauE = NaN;
T.X.GRBplateauF = NaN;
T.X.GRBplateauLong = NaN;
T.X.GRBplateauShort = NaN;
% ISCO CHIRP
T.X.ISCOchirpA = NaN;
T.X.ISCOchirpB = NaN;
T.X.ISCOchirpC = NaN;
% NCSA-CAM
T.X.NCSACAM_A = 6.83e-21;
T.X.NCSACAM_B = 6.19e-21;
T.X.NCSACAM_C = 4.23e-21;
T.X.NCSACAM_D = 6.83e-21;
T.X.NCSACAM_E = 7.57e-21;
T.X.NCSACAM_F = 1.37e-20;
%T.X.NCSACAM_A = NaN;
%T.X.NCSACAM_B = NaN;
%T.X.NCSACAM_C = NaN;
%T.X.NCSACAM_D = NaN;
%T.X.NCSACAM_E = NaN;
%T.X.NCSACAM_F = NaN;
% ADI
T.X.adiA = 1.08e-21;
T.X.adiB = 1.34e-21;
T.X.adiC = 2.69e-21;
T.X.adiD = 1.89e-21;
T.X.adiE = 1.83e-21;
T.X.adiF = NaN;
% BAR MODES
T.X.barmodesA = NaN;
T.X.barmodesB = NaN;
T.X.barmodesC = NaN;
T.X.barmodesD = NaN;
T.X.barmodesE = NaN;
T.X.barmodesF = NaN;
% INSPIRAL
T.X.inspiralA = NaN;
T.X.inspiralB = NaN;
T.X.inspiralC = NaN;
T.X.inspiralD = NaN;
T.X.inspiralE = NaN;
T.X.inspiralF = NaN;
T.X.inspiralG = NaN;
T.X.inspiralH = NaN;
% MAGNETAR
T.X.maXgnetarD = NaN;
T.X.maXgnetarE = NaN;
T.X.maXgnetarF = 2.97e-21;
T.X.maXgnetarG = 2.26e-21;
% MS MAGNETAR
T.X.msmagnetarA = NaN;
T.X.msmagnetarB = NaN;
T.X.msmagnetarC = NaN;
T.X.msmagnetarD = NaN;
%T.X.msmagnetarE = NaN;
%T.X.msmagnetarF = NaN;
%T.X.msmagnetarG = NaN;
%T.X.msmagnetarH = NaN;
T.X.msmagnetarI = NaN;
T.X.msmagnetarJ = NaN;
T.X.msmagnetarK = NaN;
T.X.msmagnetarL = NaN;
%T.X.msmagnetarM = NaN;
%T.X.msmagnetarN = NaN;
%T.X.msmagnetarO = NaN;
%T.X.msmagnetarP = NaN;
% PT
T.X.ptA = NaN;
T.X.ptB = NaN;
% MS MAGNETAR
T.X.msmagnetar_a = NaN;
T.X.msmagnetar_b = NaN;
T.X.msmagnetar_c = NaN;
T.X.msmagnetar_d = NaN;
T.X.msmagnetar_e = NaN;
T.X.msmagnetar_f = NaN;
T.X.msmagnetar_g = NaN;
T.X.msmagnetar_h = NaN;

%% --- adhoc
% MONO
T.X.monoA = 4.63e-21;
T.X.monoC = 3.32e-21;
% LINE
T.X.lineA = 3.55e-21;
T.X.lineB = 1.36e-21;
% QUAD
T.X.quadA = 2.30e-21 ;
T.X.quadB = 6.71e-22;
% SG 
T.X.sgA = 3.78e-21;
T.X.sgC = 1.54e-21;
% WNB 
T.X.wnbA = 1.13e-20;
T.X.wnbB = 3.25e-21;
T.X.wnbC = 4.18e-21;

